rte_crypto_ml_dsa_siggen_op(3)

NAME
rte_crypto_ml_dsa_siggen_op

SYNOPSIS

#include <rte_crypto_asym.h>

  Data Fields

rte_crypto_param message
rte_crypto_param mu
rte_crypto_param privkey
rte_crypto_param seed
rte_crypto_param ctx
enum rte_crypto_auth_algorithm hash
rte_crypto_param sign

Detailed Description

PQC ML-DSA SIGGEN op

Parameters for PQC ML-DSA sign operation

Definition at line 985 of file rte_crypto_asym.h.

Field Documentation

  rte_crypto_param message
The message to generate signature.

Definition at line 986 of file rte_crypto_asym.h.

  rte_crypto_param mu
The mu to generate signature.

Definition at line 989 of file rte_crypto_asym.h.

  rte_crypto_param privkey
The secret key to generate signature.

Definition at line 992 of file rte_crypto_asym.h.

  rte_crypto_param seed
The seed to generate signature.

Definition at line 995 of file rte_crypto_asym.h.

  rte_crypto_param ctx
The context key to generate signature.

Definition at line 998 of file rte_crypto_asym.h.

  enum rte_crypto_auth_algorithm hash
Hash function to generate signature.

Definition at line 1001 of file rte_crypto_asym.h.

  rte_crypto_param sign
Pointer to output data

•   The computed signature.

•   Refer rte_crypto_ml_dsa_sign_size for size of buffer.

Definition at line 1004 of file rte_crypto_asym.h.

Author

Generated automatically by Doxygen for DPDK from the source code.